-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseCollaborationDiagram

Declaration :

- C++ : class UmlBaseCollaborationDiagram : public UmlDiagram
- Java : abstract class UmlBaseCollaborationDiagram extends UmlDiagram

Directly inherited by : UmlCollaborationDiagram

Manage the collaboration diagrams

Artifact : UmlBaseCollaborationDiagram

Operation create

Declaration :

- C++ : public: static UmlCollaborationDiagram * create(UmlItem * parent, const char * s)
- Java : public static UmlCollaborationDiagram create(UmlItem parent, String s) throws RuntimeException

returns a new collaboration diagram named 's' created under 'parent'
In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseCollaborationDiagram

Declaration :

- C++ : protected: UmlBaseCollaborationDiagram(void * id, const QCString & n) : UmlDiagram(id, n)
- Java : protected UmlBaseCollaborationDiagram(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload